using System;
using System.Drawing;
using System.Windows.Forms;

namespace Kerr.WindowClippings.FilterWatermark
{
    static class Helpers
    {
        public static void DrawWatermark(Graphics destination,
                                         int width,
                                         int height,
                                         Bitmap watermark,
                                         AnchorStyles alignment)
        {
            int x = width / 2 - watermark.Width / 2;
            int y = height / 2 - watermark.Height / 2;

            if (AnchorStyles.Left == (AnchorStyles.Left & alignment))
            {
                x = 0;
            }
            else if (AnchorStyles.Right == (AnchorStyles.Right & alignment))
            {
                x = width - watermark.Width;
            }

            if (AnchorStyles.Top == (AnchorStyles.Top & alignment))
            {
                y = 0;
            }
            else if (AnchorStyles.Bottom == (AnchorStyles.Bottom & alignment))
            {
                y = height - watermark.Height;
            }

            destination.DrawImage(watermark,
                                  x,
                                  y,
                                  watermark.Width,
                                  watermark.Height);
        }
    }
}
